package solutions.bitbadger.documents.groovy.tests

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import solutions.bitbadger.documents.FieldMatch

import static org.junit.jupiter.api.Assertions.assertEquals

/**
 * Unit tests for the `FieldMatch` enum
 */
@DisplayName('Groovy | FieldMatch')
class FieldMatchTest {

    @Test
    @DisplayName('ANY uses proper SQL')
    void anySQL() {
        assertEquals 'OR', FieldMatch.ANY.sql, 'ANY should use OR'
    }

    @Test
    @DisplayName('ALL uses proper SQL')
    void allSQL() {
        assertEquals 'AND', FieldMatch.ALL.sql, 'ALL should use AND'
    }
}
