package solutions.bitbadger.documents.groovy.tests.integration

class ArrayDocument {

    String id
    List<String> values

    ArrayDocument(String id = '', List<String> values = List.of()) {
        this.id = id
        this.values = values
    }

    /** A set of documents used for integration tests */
    static List<ArrayDocument> testDocuments = List.of(
            new ArrayDocument("first",  List.of("a", "b", "c")),
            new ArrayDocument("second", List.of("c", "d", "e")),
            new ArrayDocument("third",  List.of("x", "y", "z")))
}
