package solutions.bitbadger.documents.scala.tests

import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.{DisplayName, Test}
import solutions.bitbadger.documents.DocumentIndex

@DisplayName("Scala | DocumentIndex")
class DocumentIndexTest:

  @Test
  @DisplayName("FULL uses proper SQL")
  def fullSQL(): Unit =
    assertEquals("", DocumentIndex.FULL.getSql, "The SQL for Full is incorrect")

  @Test
  @DisplayName("OPTIMIZED uses proper SQL")
  def optimizedSQL(): Unit =
    assertEquals(" jsonb_path_ops", DocumentIndex.OPTIMIZED.getSql, "The SQL for Optimized is incorrect")
