package solutions.bitbadger.documents.scala.tests.integration

class ArrayDocument(val id: String = "", val values: List[String] = List())

object ArrayDocument:

  /** A set of documents used for integration tests */
  val testDocuments: List[ArrayDocument] =
    ArrayDocument("first", "a" :: "b" :: "c" :: Nil) ::
    ArrayDocument("second", "c" :: "d" :: "e" :: Nil) ::
    ArrayDocument("third", "x" :: "y" :: "z" :: Nil) :: Nil
