package solutions.bitbadger.documents.core.tests.java;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import solutions.bitbadger.documents.DocumentIndex;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * Unit tests for the `DocumentIndex` enum
 */
@DisplayName("Core | Java | DocumentIndex")
final public class DocumentIndexTest {

    @Test
    @DisplayName("FULL uses proper SQL")
    public void fullSQL() {
        assertEquals("", DocumentIndex.FULL.getSql(), "The SQL for Full is incorrect");
    }

    @Test
    @DisplayName("OPTIMIZED uses proper SQL")
    public void optimizedSQL() {
        assertEquals(" jsonb_path_ops", DocumentIndex.OPTIMIZED.getSql(), "The SQL for Optimized is incorrect");
    }
}
