package solutions.bitbadger.documents.scala.tests

import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.{DisplayName, Test}
import solutions.bitbadger.documents.FieldMatch

/**
 * Unit tests for the `FieldMatch` enum
 */
@DisplayName("Scala | FieldMatch")
class FieldMatchTest:

  @Test
  @DisplayName("ANY uses proper SQL")
  def any(): Unit =
    assertEquals("OR", FieldMatch.ANY.getSql, "ANY should use OR")

  @Test
  @DisplayName("ALL uses proper SQL")
  def all(): Unit =
    assertEquals("AND", FieldMatch.ALL.getSql, "ALL should use AND")
